Page MenuHomePhabricator

Give consistent name to ContentTranslation API modules
Open, LowPublic

Description

Some ContentTranslation API modules have "contenttranslation" as a prefix, and some have "cx". I see no reason for this. They should all be the same for consistency, and the prefix should probably be "cx" for brevity, as it is with other extensions.

Event Timeline

Amire80 created this task.Aug 26 2015, 6:50 AM
Amire80 raised the priority of this task from to Low.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 6:50 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Aug 27 2015, 6:54 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 6:06 PM
Amire80 set Security to None.
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 8:15 AM
Petar.petkovic closed this task as Resolved.Mar 3 2018, 2:39 AM
Petar.petkovic claimed this task.
Petar.petkovic added a subscriber: Petar.petkovic.

Quick search shows no files using "contenttranslation" as a prefix.

All the main modules use cx while all the query modules use both contenttranslation (5) and cx (2),

Petar.petkovic reopened this task as Open.Sep 7 2018, 1:08 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Sep 30 2019, 7:53 AM
Pginer-WMF removed Petar.petkovic as the assignee of this task.Thu, Dec 12, 12:16 PM